Get MCP server by ID
GET/v1/mcp/user/servers/:server_id
Returns details of a specific MCP server including connection status and available tools.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "includeVirtualMcpServers",
"required": false,
"description": "When true, return MCP servers whose URL is a Port virtual MCP endpoint. Treated as not found by default so mcp-service cannot recurse into a virtual MCP."
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "server_id",
"required": true,
"description": "The unique identifier of the MCP server."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 400
- 500
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"server": {
"type": "object",
"properties": {
"identifier": {
"type": "string"
},
"title": {
"nullable": true,
"type": "string"
},
"icon": {
"nullable": true,
"type": "string"
},
"description": {
"nullable": true,
"type": "string"
},
"allowedTools": {
"type": "array",
"items": {
"type": "string"
}
},
"usable": {
"type": "boolean"
},
"error": {
"nullable": true,
"type": "string"
},
"expiresAt": {
"nullable": true,
"type": "string",
"format": "date-time"
},
"tools": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"title": {
"type": "string"
},
"inputSchema": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"object"
]
},
"properties": {
"type": "object",
"additionalProperties": {}
},
"required": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"type"
],
"additionalProperties": {}
},
"outputSchema": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"object"
]
},
"properties": {
"type": "object",
"additionalProperties": {}
},
"required": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"type"
],
"additionalProperties": {}
},
"annotations": {
"type": "object",
"properties": {
"title": {
"type": "string"
},
"readOnlyHint": {
"type": "boolean"
},
"destructiveHint": {
"type": "boolean"
},
"idempotentHint": {
"type": "boolean"
},
"openWorldHint": {
"type": "boolean"
}
},
"additionalProperties": false
}
},
"required": [
"name",
"inputSchema"
],
"additionalProperties": false
}
},
"team": {
"nullable": true,
"type": "array",
"items": {
"type": "string"
}
},
"url": {
"nullable": true,
"type": "string"
},
"headers": {
"nullable": true,
"type": "object",
"additionalProperties": {
"type": "string"
}
},
"oauthConfig": {
"nullable": true,
"type": "object",
"properties": {
"clientId": {
"nullable": true,
"type": "string"
},
"clientSecret": {
"nullable": true,
"type": "string"
},
"scope": {
"nullable": true,
"type": "string"
},
"grantType": {
"nullable": true,
"type": "string",
"enum": [
"authorization_code",
"client_credentials"
]
}
},
"additionalProperties": false
}
},
"required": [
"identifier",
"allowedTools",
"usable",
"tools"
],
"additionalProperties": false
}
},
"required": [
"ok",
"server"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}